Skip to main content
POST
/
api
/
v1
/
education-pin
/
purchase
Purchase education pin
curl --request POST \
  --url https://api.dancity.app/api/v1/education-pin/purchase \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "quantity": 1,
  "exam_name": "WAEC Result Checker",
  "examNumber": "0123456789",
  "customerRef": "EDU-REF-001",
  "promocode": "EDU10"
}
'
{
  "success": true,
  "message": "Education pins purchased",
  "data": {
    "transactionId": "TXN-20260506-007",
    "pins": [
      {
        "pin": "****-****-****",
        "serial": "SN-001",
        "expiry": "2027-01-01"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Merchant API key from the Dancity dashboard.

Body

application/json
quantity
number
required
Required range: 1 <= x <= 5
Example:

1

exam_name
string
required

Exam product name from GET /api/v1/products (e.g. WAEC Result Checker).

Example:

"WAEC Result Checker"

examNumber
string

Required when exam_name is JAMB.

Example:

"0123456789"

customerRef
string
Example:

"EDU-REF-001"

promocode
string
Example:

"EDU10"

Response

OK